Skip to main content
GET
/
v1
/
bot
/
heartbeat
/
readall
List Heartbeats
curl --request GET \
  --url https://api.boostgpt.co/v1/bot/heartbeat/readall \
  --header 'Authorization: Bearer <token>'
{
  "heartbeats": [
    {
      "uuid": "<string>",
      "bot_id": 123,
      "member_id": 123,
      "prompt": "<string>",
      "interval_minutes": 123,
      "enabled": 0,
      "active_hours_start": "<string>",
      "active_hours_end": "<string>",
      "active_days": "<string>",
      "timezone": "<string>",
      "credit_budget": 123,
      "credits_used": 123,
      "last_executed_at": "<string>",
      "last_status": "success",
      "execution_count": 123,
      "error_count": 123,
      "max_consecutive_errors": 123,
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Enter your API key

Query Parameters

project_id
string
required

Project ID

bot_id
string
required

Agent ID

member_id
string

Filter by subscriber member ID

Response

200 - application/json

List of heartbeats

heartbeats
object[]